<h1>Search a book</h1>

<form (ngSubmit)="search()">
    <input type="text" name="query" id="query" [(ngModel)]="query">
    <button>Search</button>
</form>


<div *ngIf="searchResult">
    <h2>Results</h2>
    <app-book *ngFor="let book of searchResult.docs" [book]="book"></app-book>

    <p *ngIf="searchResult.docs.length == 0">No results</p>
</div>